CREATE TABLE "OTHQ_OWN"."SRC_OSEARCH_LOGLONG_PRODUCT_INSIGHTS_3_TB"
(
    ID VARCHAR2(64 BYTE),
    TIMESTAMP_ DATE,
    SCOMPID VARCHAR2(16 BYTE),
    NENTITY NUMBER,
    SEMAIL VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_SPANNAME VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_RUN_ID VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_THREAD_ID VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_GRAPH_ID VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_NODE_ID VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_NAME VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_DIRECTION VARCHAR2(8 BYTE),
    LOGPARAMETERFIELDS_STRINGS_AGENT_ID VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_TOOL_NAME VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_INPUT_CONTENT VARCHAR2(32767 BYTE),
    LOGPARAMETERFIELDS_STRINGS_GUARDRAILS_INPUT VARCHAR2(32767 BYTE),
    LOGPARAMETERFIELDS_STRINGS_INPUT_TOKENS NUMBER,
    LOGPARAMETERFIELDS_STRINGS_IDENTIFIALBLE_IDS VARCHAR2(8192 BYTE),
    LOGPARAMETERFIELDS_STRINGS_OUTPUT_CONTENT VARCHAR2(32767 BYTE),
    LOGPARAMETERFIELDS_STRINGS_MODEL_NAME VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_OUTPUT_TOKENS NUMBER,
    LOGPARAMETERFIELDS_STRINGS_MODEL_CONFIG VARCHAR2(4096 BYTE),
    LOGPARAMETERFIELDS_STRINGS_ERROR_CODE VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_ERROR_MESSAGE VARCHAR2(2048 BYTE),
    LOGPARAMETERFIELDS_STRINGS_IS_STREAMING VARCHAR2(8 BYTE),
    LOGPARAMETERFIELDS_STRINGS_FEEDBACKSCORE NUMBER,
    LOGPARAMETERFIELDS_STRINGS_FEEDBACKTAG VARCHAR2(32 BYTE),
    LOGPARAMETERFIELDS_STRINGS_FEEDBACKTEXT VARCHAR2(128 BYTE),
    LOGPARAMETERFIELDS_STRINGS_METHODINTERCEPTID VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_SOURCEID VARCHAR2(64 BYTE),
    LOGPARAMETERFIELDS_STRINGS_SOURCERUNID VARCHAR2(64 BYTE),
    METADATA_DOWNLOADED_TIMESTAMP_UTC DATE,
    METADATA_REGION VARCHAR2(8 BYTE),
    CONSTRAINT PK_SRC_OSEARCH_LOGLONG_PRODUCT_INSIGHTS_3_TB PRIMARY KEY (ID, METADATA_REGION)
);